Name:				veracrypt
Version:			1.26.14
Release:			%{autorelease}
Summary:			Free open source disk encryption software
License:			(Apache-2.0 AND TrueCrypt-3.0)

Source0:			https://launchpad.net/veracrypt/trunk/%{version}/+download/VeraCrypt_%{version}_Source.tar.bz2
Source1:			https://launchpad.net/veracrypt/trunk/%{version}/+download/VeraCrypt_%{version}_Source.tar.bz2.sig

BuildRequires:		make
BuildRequires:		gcc-c++
%ifarch x86_64 i686
BuildRequires:		yasm
%endif
BuildRequires:		pkg-config
BuildRequires:		wxGTK-devel
BuildRequires:		fuse-devel
BuildRequires:		pcsc-lite-devel

%description
VeraCrypt is a free open source disk encryption software based on TrueCrypt 7.1a.

%prep
%setup -c

# Hack flags in the Makefile for later
sed -i 's!CFLAGS := -Wall!CFLAGS := %{optflags}!g' src/Makefile
sed -i 's!CXXFLAGS := -Wall!CXXFLAGS := %{optflags}!g' src/Makefile
sed -i 's!LFLAGS :=!LFLAGS := %{build_ldflags}!g' src/Makefile


%build
%make_build NOSTRIP=1 -C src/


%install
%make_install -C src/

%files
%license License.txt
%{_bindir}/veracrypt
%{_sbindir}/mount.veracrypt
%{_datadir}/applications/veracrypt.desktop
%{_docdir}/veracrypt
%{_datadir}/mime/packages/veracrypt.xml
%{_datadir}/pixmaps/veracrypt.xpm
%{_datadir}/veracrypt
%ghost %{_bindir}/veracrypt-uninstall.sh

%changelog
%{autochangelog}
